[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#326875: marked as done (gcc-3.4: FTBFS (ppc64): Please support the ppc64 architecture)



Your message dated Sat, 15 Oct 2005 16:47:23 -0700
with message-id <E1EQvkJ-0003B3-00@spohr.debian.org>
and subject line Bug#326875: fixed in gcc-3.4 3.4.4-9
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 6 Sep 2005 10:52:42 +0000
>From aj@andaco.de Tue Sep 06 03:52:42 2005
Return-path: <aj@andaco.de>
Received: from c173076.adsl.hansenet.de (localhost.localdomain) [213.39.173.76] 
	by spohr.debian.org with esmtp (Exim 3.36 1 (Debian))
	id 1ECb4D-0008RB-00; Tue, 06 Sep 2005 03:52:41 -0700
Received: from aj by localhost.localdomain with local (Exim 4.52)
	id 1ECb4B-0005lo-N4; Tue, 06 Sep 2005 12:52:39 +0200
To: Debian Bug Tracking System <submit@bugs.debian.org>
From: Andreas Jochens <aj@andaco.de>
Subject: gcc-3.4: FTBFS (ppc64): Please support the ppc64 architecture
Message-Id: <E1ECb4B-0005lo-N4@localhost.localdomain>
Date: Tue, 06 Sep 2005 12:52:39 +0200
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Package: gcc-3.4
Version: 3.4.4-8
Severity: wishlist
Tags: patch

Currently the 'gcc-3.4' package  FTBFS on ppc64. 

The attached patch fixes this by adding ppc64 biarch-support 
and by disabling ada for ppc64.

Regards
Andreas Jochens

diff -urN ../tmp-orig/gcc-3.4-3.4.4/debian/control.m4 ./debian/control.m4
--- ../tmp-orig/gcc-3.4-3.4.4/debian/control.m4	2005-09-06 08:06:17.000000000 +0200
+++ ./debian/control.m4	2005-09-06 08:05:54.000000000 +0200
@@ -108,7 +108,7 @@
 Depends: ${dep:libcbiarch}
 Conflicts: ia32-libs-openoffice.org (<= 1ubuntu2)
 Replaces: ia32-libs-openoffice.org (<= 1ubuntu2)
-Description: GCC support library (ia32)
+Description: GCC support library (32-bit version)
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
  special needs for some languages.
diff -urN ../tmp-orig/gcc-3.4-3.4.4/debian/patches/ppc64-biarch.dpatch ./debian/patches/ppc64-biarch.dpatch
--- ../tmp-orig/gcc-3.4-3.4.4/debian/patches/ppc64-biarch.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ ./debian/patches/ppc64-biarch.dpatch	2005-09-06 08:01:48.000000000 +0200
@@ -0,0 +1,131 @@
+#! /bin/sh -e
+ 
+# DP: biarch patches for powerpc/ppc64
+ 
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+    dir="$3/"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $pdir -f --no-backup-if-mismatch -p1 < $0
+        #cd ${dir}gcc && autoconf
+        ;;
+    -unpatch)
+        patch $pdir -f --no-backup-if-mismatch -R -p1 < $0
+        #rm ${dir}gcc/configure
+        ;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
+
+diff -urN tmp/gcc/config/rs6000/t-linux64 src/gcc/config/rs6000/t-linux64
+--- tmp/gcc/config/rs6000/t-linux64	2004-03-17 15:16:48.000000000 +0000
++++ src/gcc/config/rs6000/t-linux64	2004-11-22 07:56:52.681533760 +0000
+@@ -11,9 +11,9 @@
+-MULTILIB_OPTIONS        = m64/m32 msoft-float
+-MULTILIB_DIRNAMES       = 64 32 nof
++MULTILIB_OPTIONS        = m64/m32
++MULTILIB_DIRNAMES       = 64 32
+ MULTILIB_EXTRA_OPTS     = fPIC mstrict-align
+-MULTILIB_EXCEPTIONS     = m64/msoft-float
+-MULTILIB_EXCLUSIONS     = m64/!m32/msoft-float
+-MULTILIB_OSDIRNAMES	= ../lib64 ../lib nof
+-MULTILIB_MATCHES        = $(MULTILIB_MATCHES_FLOAT)
++#MULTILIB_EXCEPTIONS     = m64/msoft-float
++#MULTILIB_EXCLUSIONS     = m64/!m32/msoft-float
++MULTILIB_OSDIRNAMES	= ../lib ../lib32
++#MULTILIB_MATCHES        = $(MULTILIB_MATCHES_FLOAT)
+ 
+ # We want fine grained libraries, so use the new code to build the
+@@ -37,8 +37,11 @@
+ mklibgcc: bispecs
+ 
+ bispecs: specs
+-	if [ x`$(GCC_FOR_TARGET) -print-multi-os-directory` = x../lib ]; then \
++	touch f-test.c; \
++	$(GCC_FOR_TARGET) -c f-test.c -o f-test.o; \
++	if [ "x`file f-test.o | grep 64-bit`" = "x" ]; then \
+ 	  sed -e '/cc1_options/{ n; s/$$/ %{m64:-mlong-double-128}/; }' < specs > $@; \
+ 	else \
+ 	  sed -e '/cc1_options/{ n; s/$$/ %{!m32:-mlong-double-128}/; }' < specs > $@; \
+-	fi
++	fi; \
++	rm f-test.c f-test.o;
+diff -urN tmp/libjava/configure.host src/libjava/configure.host
+--- tmp/libjava/configure.host	25 Nov 2004 03:46:56 -0000
++++ src/libjava/configure.host	15 Dec 2004 15:45:22 -0000
+@@ -123,10 +123,13 @@
+   powerpc64*-*)
+ 	sysdeps_dir=powerpc
+ 	libgcj_interpreter=yes
+-	if [ x`$CC -print-multi-os-directory` = x../lib64 ]; then
++	touch f-test.c
++	$CC -c f-test.c -o f-test.o
++	if [ "x`file f-test.o | grep 32-bit`" = "x" ]; then
+ 	    libgcj_flags="${libgcj_flags} -mminimal-toc"
+	fi
+ 	enable_hash_synchronization_default=yes
+ 	slow_pthread_self=yes
++	rm f-test.c f-test.o
+ 	;;
+   powerpc*-*)
+diff -urN gcc-3.4.3/config-ml.in src/config-ml.in
+--- gcc-3.4.3/config-ml.in	2004-01-05 00:41:14.000000000 +0000
++++ src/config-ml.in	2004-12-10 18:59:35.651141848 +0000
+@@ -400,7 +400,47 @@
+ 	  ;;
+ 	esac
+ 	;;
+-powerpc*-*-* | rs6000*-*-*)
++powerpc64-*-*)
++	case " $multidirs " in
++	*" 32 "*)
++	  # We will not be able to create libraries with -m32 if
++	  # we cannot even link a trivial program.  It usually
++	  # indicates the 32bit libraries are missing.
++	  if echo 'main() {}' > conftest.c &&
++	     ${CC-gcc} -m32 conftest.c -o conftest; then
++	   echo Enable only libstdc++.
++	   old_multidirs="${multidirs}"
++	   multidirs=""
++	   for x in ${old_multidirs}; do
++	     case "$x" in
++	     *32* ) case ${ml_realsrcdir} in
++	               *"libstdc++-v3" ) multidirs="${multidirs} ${x}" ;;
++	               *"libf2c" ) multidirs="${multidirs} ${x}" ;;
++	               *"libobjc" ) multidirs="${multidirs} ${x}" ;;
++	               *"libiberty" ) multidirs="${multidirs} ${x}" ;;
++	               *"zlib" ) multidirs="${multidirs} ${x}" ;;
++	               *) : ;;
++	            esac 
++	            ;;
++	     *) multidirs="${multidirs} ${x}" ;;
++	     esac
++	   done
++	  else
++	    echo Could not link program with -m32, disabling it.
++	    old_multidirs="${multidirs}"
++	    multidirs=""
++	    for x in ${old_multidirs}; do
++	      case "$x" in
++	      *m32* ) : ;;
++	      *) multidirs="${multidirs} ${x}" ;;
++	      esac
++	    done
++	  fi
++	  rm -f conftest.c conftest
++	  ;;
++	esac
++	;;
++powerpc-*-* | rs6000*-*-*)
+ 	if [ x$enable_aix64 = xno ]
+ 	then
+ 	  old_multidirs="${multidirs}"
diff -urN ../tmp-orig/gcc-3.4-3.4.4/debian/rules.defs ./debian/rules.defs
--- ../tmp-orig/gcc-3.4-3.4.4/debian/rules.defs	2005-09-06 08:06:17.000000000 +0200
+++ ./debian/rules.defs	2005-09-06 08:04:03.000000000 +0200
@@ -437,7 +437,7 @@
 endif
 
 with_libgnat := yes
-ada_no_cpus := arm m68k m32r
+ada_no_cpus := arm m68k m32r ppc64
 ada_no_systems := hurd-i386 kfreebsd-gnu knetbsd-gnu netbsd-elf-gnu
 ifeq ($(DEB_TARGET_ARCH_CPU), $(findstring $(DEB_TARGET_ARCH_CPU),$(ada_no_cpus)))
   with_ada := disabled for architecure $(DEB_TARGET_ARCH_CPU)
diff -urN ../tmp-orig/gcc-3.4-3.4.4/debian/rules.patch ./debian/rules.patch
--- ../tmp-orig/gcc-3.4-3.4.4/debian/rules.patch	2005-09-06 08:06:17.000000000 +0200
+++ ./debian/rules.patch	2005-09-06 08:02:34.000000000 +0200
@@ -129,6 +129,9 @@
   ifeq ($(DEB_TARGET_ARCH),amd64)
     debian_patches += amd64-biarch # amd64-multilib
   endif
+  ifeq ($(DEB_TARGET_ARCH),ppc64)
+    debian_patches += ppc64-biarch
+  endif
 endif
 
 ifeq ($(DEB_TARGET_ARCH_OS),kfreebsd)

---------------------------------------
Received: (at 326875-close) by bugs.debian.org; 15 Oct 2005 23:48:25 +0000
>From katie@spohr.debian.org Sat Oct 15 16:48:25 2005
Return-path: <katie@spohr.debian.org>
Received: from katie by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1EQvkJ-0003B3-00; Sat, 15 Oct 2005 16:47:23 -0700
From: Matthias Klose <doko@debian.org>
To: 326875-close@bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#326875: fixed in gcc-3.4 3.4.4-9
Message-Id: <E1EQvkJ-0003B3-00@spohr.debian.org>
Sender: Archive Administrator <katie@spohr.debian.org>
Date: Sat, 15 Oct 2005 16:47:23 -0700
Delivered-To: 326875-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Source: gcc-3.4
Source-Version: 3.4.4-9

We believe that the bug you reported is fixed in the latest version of
gcc-3.4, which is due to be installed in the Debian FTP archive:

cpp-3.4-doc_3.4.4-9_all.deb
  to pool/main/g/gcc-3.4/cpp-3.4-doc_3.4.4-9_all.deb
cpp-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/cpp-3.4_3.4.4-9_i386.deb
g++-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/g++-3.4_3.4.4-9_i386.deb
g77-3.4-doc_3.4.4-9_all.deb
  to pool/main/g/gcc-3.4/g77-3.4-doc_3.4.4-9_all.deb
g77-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/g77-3.4_3.4.4-9_i386.deb
gcc-3.4-base_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/gcc-3.4-base_3.4.4-9_i386.deb
gcc-3.4-doc_3.4.4-9_all.deb
  to pool/main/g/gcc-3.4/gcc-3.4-doc_3.4.4-9_all.deb
gcc-3.4_3.4.4-9.diff.gz
  to pool/main/g/gcc-3.4/gcc-3.4_3.4.4-9.diff.gz
gcc-3.4_3.4.4-9.dsc
  to pool/main/g/gcc-3.4/gcc-3.4_3.4.4-9.dsc
gcc-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/gcc-3.4_3.4.4-9_i386.deb
gnat-3.4-doc_3.4.4-9_all.deb
  to pool/main/g/gcc-3.4/gnat-3.4-doc_3.4.4-9_all.deb
gnat-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/gnat-3.4_3.4.4-9_i386.deb
gobjc-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/gobjc-3.4_3.4.4-9_i386.deb
gpc-2.1-3.4-doc_3.4.4-9_all.deb
  to pool/main/g/gcc-3.4/gpc-2.1-3.4-doc_3.4.4-9_all.deb
gpc-2.1-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/gpc-2.1-3.4_3.4.4-9_i386.deb
lib64g2c0_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/lib64g2c0_3.4.4-9_i386.deb
libg2c0-dev_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/libg2c0-dev_3.4.4-9_i386.deb
libg2c0_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/libg2c0_3.4.4-9_i386.deb
libgnat-3.4_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/libgnat-3.4_3.4.4-9_i386.deb
libstdc++6-dbg_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/libstdc++6-dbg_3.4.4-9_i386.deb
libstdc++6-dev_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/libstdc++6-dev_3.4.4-9_i386.deb
libstdc++6-doc_3.4.4-9_all.deb
  to pool/main/g/gcc-3.4/libstdc++6-doc_3.4.4-9_all.deb
libstdc++6-pic_3.4.4-9_i386.deb
  to pool/main/g/gcc-3.4/libstdc++6-pic_3.4.4-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Oct 2005 21:25:20 +0200
Source: gcc-3.4
Binary: g77-3.4-doc gcc-3.4-base libstdc++6 gnat-3.4 libobjc1 libgcc1 gcc-3.4 lib64g2c0 gobjc-3.4 gcc-3.4-nof libgcc2 libstdc++6-dev libstdc++6-doc lib32g2c0 protoize libgnat-3.4 lib64stdc++6 libstdc++6-dbg lib32gcc1 lib64gnat-3.4 lib64objc1 cpp-3.4 gcc-3.4-hppa64 gcc-3.4-soft-float cpp-3.4-doc gcc-3.4-doc libg2c0-dev gpc-2.1-3.4-doc lib64gcc1 libg2c0 lib32stdc++6 libstdc++6-pic gnat-3.4-doc g++-3.4 gpc-2.1-3.4 g77-3.4
Architecture: source i386 all
Version: 3.4.4-9
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.4    - The GNU C preprocessor
 cpp-3.4-doc - Documentation for the GNU C preprocessor (cpp)
 g++-3.4    - The GNU C++ compiler
 g77-3.4    - The GNU Fortran 77 compiler
 g77-3.4-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.4    - The GNU C compiler
 gcc-3.4-base - The GNU Compiler Collection (base package)
 gcc-3.4-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gnat-3.4   - The GNU Ada compiler
 gnat-3.4-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.4  - The GNU Objective-C compiler
 gpc-2.1-3.4 - The GNU Pascal compiler
 gpc-2.1-3.4-doc - Documentation for the GNU Pascal compiler (gpc)
 lib64g2c0  - Runtime library for GNU Fortran 77 applications (64bit)
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libg2c0-dev - GNU Fortran 77 library development
 libgnat-3.4 - Runtime library for GNU Ada applications
 libstdc++6-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++6-pic - The GNU Standard C++ Library v3 (shared library subset kit)
Closes: 322624 326875 329893 331216 333137
Changes: 
 gcc-3.4 (3.4.4-9) unstable; urgency=low
 .
   * Updated to gcc-3.4 CVS 20051015.
   * Update hurd-changes.dpatch (Michael Banck). Closes: #322624.
   * Add support for the ppc64 architecture (Andreas Jochens).
     Closes: #326875.
   * Fix java wrapper script, mishandles command line options with arguments.
   * Fix some lintian warnings.
   * Readd missing gpc info files (closes: #333137).
   * Update for M32R's libffi patch (NIIBE Yutaka). Closes: #329893.
   * Add big-endian arm (armeb) support (Lennert Buytenhek). Closes: #331216.
   * On i386, build-depend on libc6-dev-amd64.
   * Add gsfonts-x11 to Build-Depends-Indep to avoid warnings from doxygen.
   * Fix more lintian warnings.
   * Drop gnat-3.3 as an alternative build dependency. We'll stop building
     gnat from the 3.3 sources soon.
   * Add gpc updates by Waldek Habisch, disable patches included in the
     updates (gpc-version-fix gpc-range-check).
Files: 
 4d448b32c697d551d005aab442846777 2441 devel optional gcc-3.4_3.4.4-9.dsc
 209391bfd48f69cf64c5666754b07914 1385192 devel optional gcc-3.4_3.4.4-9.diff.gz
 330fad93693ba50879e74dcc72e1248b 182534 doc optional cpp-3.4-doc_3.4.4-9_all.deb
 80bbc6119920860a8abbd41951472cad 8521018 doc optional libstdc++6-doc_3.4.4-9_all.deb
 cfca12eb97f92a3b10956eb7b640471c 631250 doc optional g77-3.4-doc_3.4.4-9_all.deb
 6a4a9b07bf0dad50fddd433ca210f87e 899820 doc optional gnat-3.4-doc_3.4.4-9_all.deb
 2225388e81807457ab80fc263afb8607 892930 doc optional gpc-2.1-3.4-doc_3.4.4-9_all.deb
 2d0f34de4c59e9c3676f2f7c8fae89e2 1479138 doc optional gcc-3.4-doc_3.4.4-9_all.deb
 0c1facf0cd672be1b007cb3bb33ed0b4 163424 devel optional gcc-3.4-base_3.4.4-9_i386.deb
 ee569cb7288b819bc3fde14f77fdc73a 1707356 interpreters optional cpp-3.4_3.4.4-9_i386.deb
 6256c6809cd9062c0d27cfc1ab5f0b1c 1746442 devel optional gobjc-3.4_3.4.4-9_i386.deb
 bd7d036ec246f77e7105890a5dc6e89b 1946680 devel optional g++-3.4_3.4.4-9_i386.deb
 b7e6f009b0fdf464e5b0294758fd7ced 1268580 libdevel optional libstdc++6-dev_3.4.4-9_i386.deb
 5a15979b1dbd7c822c9a66ce6b38f6b5 755134 libdevel extra libstdc++6-pic_3.4.4-9_i386.deb
 460969ec31277fe75a4840d8ebaa3d49 9157194 libdevel extra libstdc++6-dbg_3.4.4-9_i386.deb
 327cdc99746ce838f755a897e799ecfd 50030 libs optional libg2c0_3.4.4-9_i386.deb
 3d2a57467b2389c19e4fba1b83a06374 54636 libs optional lib64g2c0_3.4.4-9_i386.deb
 a91792aeb781ed0d66f6bcc0eb498118 1846012 devel optional g77-3.4_3.4.4-9_i386.deb
 03ec392fc1726d3660712358ec437943 141944 libdevel optional libg2c0-dev_3.4.4-9_i386.deb
 15cf6bb71ffb4d99488df777a766d5a6 725814 libs optional libgnat-3.4_3.4.4-9_i386.deb
 e800c59fc2445b8c89c23062893af194 7135170 devel optional gnat-3.4_3.4.4-9_i386.deb
 b6978b769c2dbf44677836d9c9d942bb 2291054 devel optional gpc-2.1-3.4_3.4.4-9_i386.deb
 aeddf56bc70006788b3ada0f6ad66a2c 1536554 devel optional gcc-3.4_3.4.4-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDUYzVStlRaw+TLJwRAuDEAJ93RdoM5wnZCugVBdfb0PZbLAS0rwCeLwyE
QrhkCzHC5K9FFx+bGgNvodg=
=73HN
-----END PGP SIGNATURE-----



Reply to: